<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."penalty_challenge/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."penalty_challenge/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."penalty_challenge/locale/German.php";
}

// Infusion general information
$inf_title = $locale['pen100'];
$inf_description = $locale['pen101'];
$inf_version = "1.51";
$inf_developer = "V1.3: ChSchuetz<br>V1.51: WEBtastik.de";
$inf_email = "kontakt@webtastik.de";
$inf_weburl = "http://www.webtastik.de";

$inf_folder = "penalty_challenge"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "penalty_challenge_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['pen102']; // if not required replace $locale['xxx103']; with "";
$inf_link_url = "penalty_challenge.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 4; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 1; // Number of db tables to alter (upgrade).
$inf_deldbrows = 1; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "penalty_challenge (
  match_id int(11) NOT NULL auto_increment,
  user_challenger smallint(5) NOT NULL default '0',
  user_tochallenge smallint(5) NOT NULL default '0',
  datestamp int(10) NOT NULL default '0',
  accepted smallint(1) NOT NULL default '0',
  shoot_11 smallint(1) NOT NULL default '0',
  shoot_12 smallint(1) NOT NULL default '0',
  shoot_13 smallint(1) NOT NULL default '0',
  shoot_21 smallint(1) NOT NULL default '0',
  shoot_22 smallint(1) NOT NULL default '0',
  shoot_23 smallint(1) NOT NULL default '0',
  keeper_11 smallint(1) NOT NULL default '0',
  keeper_12 smallint(1) NOT NULL default '0',
  keeper_13 smallint(1) NOT NULL default '0',
  keeper_21 smallint(1) NOT NULL default '0',
  keeper_22 smallint(1) NOT NULL default '0',
  keeper_23 smallint(1) NOT NULL default '0',
  score_1 smallint(1) NOT NULL default '0',
  score_2 smallint(1) NOT NULL default '0',
  points_1 smallint(1) NOT NULL default '0',
  points_2 smallint(1) NOT NULL default '0',
  PRIMARY KEY  (match_id)
);";

$inf_newtable_[2] = "penalty_tbl (
  user_id smallint(5) NOT NULL default '0',
  user_matches int(11) NOT NULL default '0',
  user_win int(11) NOT NULL default '0',
  user_tie int(11) NOT NULL default '0',
  user_lost int(11) NOT NULL default '0',
  user_points int(11) NOT NULL default '0',
  user_score int(11) NOT NULL default '0',
  user_scorea int(11) NOT NULL default '0'
);";

$inf_newtable_[3] = "penalty_cfg (
  cfg_id int(1) NOT NULL,
  cfg_gold int(1) NOT NULL,
  cfg_goldwin int(5) NOT NULL,
  cfg_goldtie int(5) NOT NULL,
  cfg_pn int(1) NOT NULL,
  cfg_chlg int(3) NOT NULL,
  cfg_tbl int(3) NOT NULL,
  cfg_last int(3) NOT NULL,
  cfg_limit smallint(1) NOT NULL,
  cfg_withdraw int(1) NOT NULL,
  cfg_tbl_cfg int(1) NOT NULL,
  cfg_withdraw_time int(2) NOT NULL,
  cfg_chlg_limit int(3) NOT NULL,
  cfg_time_limit int(3) NOT NULL,
  cfg_tournament int(1) NOT NULL,
  cfg_tournament_matches int(2) NOT NULL
);";

$inf_newtable_[4] = "penalty_arc (
  user_id smallint(5) NOT NULL default '0',
  user_matches int(11) NOT NULL default '0',
  user_win int(11) NOT NULL default '0',
  user_tie int(11) NOT NULL default '0',
  user_lost int(11) NOT NULL default '0',
  user_points int(11) NOT NULL default '0',
  user_score int(11) NOT NULL default '0',
  user_scorea int(11) NOT NULL default '0'
);";

$inf_insertdbrow_[1]="penalty_cfg VALUES (0, 0, 0, 0, 1, 10, 10, 10, 10, 1, 3, 7, 10, 60, 0, 0)";

$inf_altertables_[1] = "users ADD `user_penalty` VARCHAR(1)";

$inf_deldbrow_[1]="admin where admin_title='Penalty Challenge'";

$inf_droptable_[1] = "penalty_challenge";
$inf_droptable_[2] = "penalty_tbl";
$inf_droptable_[3] = "penalty_cfg";
$inf_droptable_[4] = "penalty_arc";

?>